# -*- Mode: Python -*-
# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
#
# Codeina, Codec Installation Application
# Copyright (C) 2007 Fluendo S.A.
#
# Written by Tim-Philipp Müller <tim centricular net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

import gtk
import sexy
import os

from codeina.extern.log import log

from gettext import gettext as _


def get_dialog(parent, products):
    def show_url(widget, url):
        os.system("gnome-open %s" % (url,))
        
    log.debug('fedora', 'products: %r', products)
    dlg = gtk.MessageDialog(parent=parent, flags=0,
                            type=gtk.MESSAGE_INFO,
                            buttons=gtk.BUTTONS_CANCEL,
                            message_format=\
                            _('Proprietary and free formats'))
    link = sexy.UrlLabel("For more information, see <a href=\"http://fedoraproject.org/codecbuddy/\">About Proprietary and Free Formats</a>.")
    dlg.vbox.add(link)
    link.connect("url-activated", show_url)
    link.show()
    dlg.add_button(_("_See available options"), gtk.RESPONSE_OK)
    dlg.set_default_response(gtk.RESPONSE_OK)
    # As per HIG, empty dialogue title
    dlg.set_title(_(''))
    str1 = _("Fedora has the mission of always being freely re-distributable; this means you are free to give your copy of Fedora to anyone else.")
    str2 = _("Unfortunately, that means that we cannot ship support for certain multimedia codecs, as they require patent licenses before you can view or play media that use them. Imagine if you had to pay a license fee before reading your e-mail, or viewing a picture on the web. This is why Fedora supports free formats, such as Ogg Vorbis and Theora.")
    str3 = _("However, there are companies and communities that do offer support for certain codecs under Fedora. If you would like to install support, please proceed to see the available options.")
    
    str = str1 + "\n\n" + str2 + "\n\n" + str3
    dlg.format_secondary_text(str)
    return dlg
